cURL
curl --request GET \
--url https://api.brightdata.com/api/{PARTNER_NAME}/proxies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/api/{PARTNER_NAME}/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/api/{PARTNER_NAME}/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/api/{PARTNER_NAME}/proxies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/api/{PARTNER_NAME}/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
"{PARTNER_NAME_PROXY_HOST}:{PORT}:{ENCRYPTED}:{ZONE_PASSWORD}"
]Reseller API
生成代理用户名
GET
/
api
/
{PARTNER_NAME}
/
proxies
cURL
curl --request GET \
--url https://api.brightdata.com/api/{PARTNER_NAME}/proxies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/proxies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/api/{PARTNER_NAME}/proxies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/api/{PARTNER_NAME}/proxies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/api/{PARTNER_NAME}/proxies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/api/{PARTNER_NAME}/proxies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
"{PARTNER_NAME_PROXY_HOST}:{PORT}:{ENCRYPTED}:{ZONE_PASSWORD}"
]授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
将处理您请求的代理区域名称。
查询参数
有效的客户 id
现有的区域名称
国家名称(例如 us)
美国州名(例如 ca)
要生成的会话数量
ASN 名称。可通过 /api/{PARTNER_NAME}/get_asn API 获取所有可用 ASN
运营商名称。可通过 /api/{PARTNER_NAME}/carriers API 获取所有可用运营商
使用常量
如果提供,则仅编码用户名中的 brd-customer-{CUST_ID}-zone-{ZONE} 部分
响应
200 - application/json
成功
示例:
[
"{PARTNER_NAME_PROXY_HOST}:{PORT}:{ENCRYPTED}:{ZONE_PASSWORD}"
]
此页面对您有帮助吗?